JBoss API: Class AbstractInterceptor

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins
Class AbstractInterceptor

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.AbstractInterceptor

All Implemented Interfaces:
  ContainerPlugin, Interceptor, Service

Direct Known Subclasses:
  EntityInstanceInterceptor, EntityLockInterceptor, EntityMultiInstanceInterceptor, EntitySynchronizationInterceptor, LogInterceptor, MessageDrivenInstanceInterceptor, MetricsInterceptor, SecurityInterceptor, SecurityProxyInterceptor, StatefulSessionInstanceInterceptor, StatelessSessionInstanceInterceptor, TxInterceptorBMT, TxInterceptorCMT

public abstract class AbstractInterceptor
extends java.lang.Object
implements Interceptor

Version:
  $Revision: 1.4.6.1 $
Author:
  Rickard Öberg (rickard.oberg@telkel.com)
See Also:

Field Summary
`protected Logger` | `log`
`protected Interceptor` | `nextInterceptor`

Constructor Summary
`AbstractInterceptor()`

Method Summary
`void` | `destroy()`
`abstract Container` | `getContainer()`
`Interceptor` | `getNext()`
`void` | `init()`
`java.lang.Object` | `invoke(MethodInvocation mi)`
`java.lang.Object` | `invokeHome(MethodInvocation mi)`
`abstract void` | `setContainer(Container container)` This callback is set by the container so that the plugin may access it
`void` | `setNext(Interceptor interceptor)`
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nextInterceptor

    protected Interceptor nextInterceptor

### log

    protected Logger log

Constructor Detail

### AbstractInterceptor

    public AbstractInterceptor()

Method Detail

### setContainer

    public abstract void setContainer(Container container)

  Description copied from interface: `ContainerPlugin`
  This callback is set by the container so that the plugin may access it
  Specified by:
    `setContainer` in interface `ContainerPlugin`
  Following copied from interface: `org.jboss.ejb.ContainerPlugin`
  Parameters:
    `con` - the container using this plugin

### getContainer

    public abstract Container getContainer()

### setNext

    public void setNext(Interceptor interceptor)

  Specified by:
    `setNext` in interface `Interceptor`

### getNext

    public Interceptor getNext()

  Specified by:
    `getNext` in interface `Interceptor`

### init

    public void init()
              throws java.lang.Exception

  Specified by:
    `init` in interface `Service`

### start

    public void start()
               throws java.lang.Exception

  Specified by:
    `start` in interface `Service`

### stop

    public void stop()

  Specified by:
    `stop` in interface `Service`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `Service`

### invokeHome

    public java.lang.Object invokeHome(MethodInvocation mi)
                                throws java.lang.Exception

  Specified by:
    `invokeHome` in interface `Interceptor`

### invoke

    public java.lang.Object invoke(MethodInvocation mi)
                            throws java.lang.Exception

  Specified by:
    `invoke` in interface `Interceptor`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.